List all connections
curl --request GET \
--url https://api.getmembrane.com/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getmembrane.com/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmembrane.com/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"name": "<string>",
"userId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"tenantId": "<string>",
"key": "<string>",
"isTest": true,
"connected": true,
"disconnected": true,
"isDefunct": true,
"errors": [
{
"message": "<string>",
"key": "<string>",
"data": {},
"stack": {},
"causedByError": "<unknown>",
"logs": [
{}
]
}
],
"requestError": {
"message": "<string>",
"key": "<string>",
"data": {},
"stack": {},
"causedByError": "<unknown>",
"logs": [
{}
]
},
"error": {
"message": "<string>",
"key": "<string>",
"data": {},
"stack": {},
"causedByError": "<unknown>",
"logs": [
{}
]
},
"integrationId": "<string>",
"connectorId": "<string>",
"externalAppId": "<string>",
"connectorVersion": "<string>",
"authOptionKey": "<string>",
"lastActiveAt": "<string>",
"nextCredentialsRefreshAt": "<string>",
"nextRetryTimestamp": "<string>",
"retryAttempts": 123,
"canTest": true,
"canRefreshCredentials": true,
"archivedAt": "<string>",
"isDeactivated": true,
"meta": {},
"buildingAgentSessionId": "<string>",
"clientAction": {
"description": "<string>",
"uiUrl": "<string>",
"agentInstructions": "<string>",
"handoffAgentInstructions": "<string>"
},
"user": {
"id": "<string>",
"name": "<string>",
"internalId": "<string>",
"meta": {},
"fields": {},
"credentials": {},
"lastActiveAt": "<string>",
"isTest": true,
"isBillable": true,
"isActive": true,
"aiCreditsRolling30DayLimit": 1,
"createdAt": "<string>",
"archivedAt": "<string>"
},
"integration": {
"id": "<string>",
"name": "<string>",
"logoUri": "<string>",
"uuid": "<string>",
"key": "<string>",
"description": "<string>",
"meta": {},
"errors": [
{
"message": "<string>",
"key": "<string>",
"data": {},
"stack": {},
"causedByError": "<unknown>",
"logs": [
{}
]
}
],
"revision": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"archivedAt": "<string>",
"isDeactivated": true,
"isReadOnly": true,
"connectorId": "<string>",
"connectorVersion": "<string>",
"oAuthCallbackUri": "<string>",
"parameters": {},
"hasMissingParameters": true,
"hasDocumentation": true,
"hasOperations": true,
"operationsCount": 123,
"hasData": true,
"dataCollectionsCount": 123,
"hasEvents": true,
"eventsCount": 123,
"hasGlobalWebhooks": true,
"hasUdm": true,
"isTest": true,
"externalAppId": "<string>",
"optionsConfig": {}
},
"connectorParameters": {},
"input": {},
"credentials": {}
}
],
"cursor": "<string>"
}Connections
List all connections
GET
/
connections
List all connections
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of items to return (1-1000)
Required range:
1 <= x <= 1000Pagination cursor from a previous response
Text search query to filter results
Filter by integration ID
Filter by connector ID
[DEPRECATED] Use connected instead.
Was this page helpful?
⌘I